function v = vecvel(xx,SAMPLING)
%------------------------------------------------------------
%
%  FUNCTION vecvel.m
%  Calculation of eye velocity from position data
%  Please cite: Engbert, R., & Kliegl, R. (2003) Microsaccades
%  uncover the orientation of covert attention. Vision Research
%  43: 1035-1045.
%
%  (Version 1.3, 01 JAN 2012)
%-------------------------------------------------------------
%
%  INPUT:
%  xy(1:N,1:2)     raw data, x- and y-components of the time series
%  SAMPLING        sampling rate (number of samples per second)
%
%  OUTPUT:
%  v(1:N,1:2)      velocity, x- and y-components
%
%-------------------------------------------------------------
N = length(xx);             
v = zeros(N,2);
v(2:N,:) = SAMPLING*diff(xx);   

